Skip to content

Create escalation-policy

POST
/api/v1/escalation-policies
curl --request POST \
--url https://example.com/api/v1/escalation-policies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "createdAt": "2026-04-15T12:00:00Z", "id": "example", "name": "example", "steps": [ { "action": { "servicenow": { "assignmentGroup": "example", "autoClose": true }, "ticket": { "autoClose": true, "channel": "example", "params": { "additionalProperty": "example" } }, "webhook": "example" }, "after": 1, "channels": [ "example" ], "maxRepeats": 1, "notify": { "contact": "example", "contactGroup": "example", "escalateTo": "example", "schedule": "example" }, "repeatEvery": 1, "unlessAcked": true } ], "tenantId": "example", "updatedAt": "2026-04-15T12:00:00Z", "version": 1 }'
Media typeapplication/json
object
createdAt
required
string format: date-time
id
required
string
name
required
string
steps
required
Array<object>
object
action
object
servicenow
object
assignmentGroup
required
string
autoClose
required
boolean
ticket
object
autoClose
boolean
channel
required
string
params
object
key
additional properties
string
webhook
string
after
required
integer
channels
Array<string>
maxRepeats
integer
notify
object
contact
string
contactGroup
string
escalateTo
string
schedule
string
repeatEvery
integer
unlessAcked
boolean
tenantId
required
string
updatedAt
required
string format: date-time
version
required
integer
Examplegenerated
{
"createdAt": "2026-04-15T12:00:00Z",
"id": "example",
"name": "example",
"steps": [
{
"action": {
"servicenow": {
"assignmentGroup": "example",
"autoClose": true
},
"ticket": {
"autoClose": true,
"channel": "example",
"params": {
"additionalProperty": "example"
}
},
"webhook": "example"
},
"after": 1,
"channels": [
"example"
],
"maxRepeats": 1,
"notify": {
"contact": "example",
"contactGroup": "example",
"escalateTo": "example",
"schedule": "example"
},
"repeatEvery": 1,
"unlessAcked": true
}
],
"tenantId": "example",
"updatedAt": "2026-04-15T12:00:00Z",
"version": 1
}

Created

Media typeapplication/json
object
createdAt
required
string format: date-time
id
required
string
name
required
string
steps
required
Array<object>
object
action
object
servicenow
object
assignmentGroup
required
string
autoClose
required
boolean
ticket
object
autoClose
boolean
channel
required
string
params
object
key
additional properties
string
webhook
string
after
required
integer
channels
Array<string>
maxRepeats
integer
notify
object
contact
string
contactGroup
string
escalateTo
string
schedule
string
repeatEvery
integer
unlessAcked
boolean
tenantId
required
string
updatedAt
required
string format: date-time
version
required
integer
Examplegenerated
{
"createdAt": "2026-04-15T12:00:00Z",
"id": "example",
"name": "example",
"steps": [
{
"action": {
"servicenow": {
"assignmentGroup": "example",
"autoClose": true
},
"ticket": {
"autoClose": true,
"channel": "example",
"params": {
"additionalProperty": "example"
}
},
"webhook": "example"
},
"after": 1,
"channels": [
"example"
],
"maxRepeats": 1,
"notify": {
"contact": "example",
"contactGroup": "example",
"escalateTo": "example",
"schedule": "example"
},
"repeatEvery": 1,
"unlessAcked": true
}
],
"tenantId": "example",
"updatedAt": "2026-04-15T12:00:00Z",
"version": 1
}

Problem Details (RFC 9457)

Media typeapplication/problem+json
object
code
required
string
detail
string
instance
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{
"code": "example",
"detail": "example",
"instance": "example",
"status": 1,
"title": "example",
"type": "example"
}